/* journal/news style */

img,a {
    display: inline-block;
    height: 100%;
}

img {
    max-width: 100%;
    width: 100%;
    object-fit: cover;
}

.back-link {
    display: flex;
    position: relative;
    padding-left: 32px;
}

.back-link:before {
    display: block;
    content: '\2190';
    position: absolute;
    top: 0;
    left: 0;
    opacity: 1;
}

.back-link:hover {
    color: rgba(196,69,60,0.75);
    padding-left: 20px;
}

.back-link:hover:before {
    opacity: 0.25;
    left: -5px;
}

.news{
    display: grid;
    gap: 1em;
    margin: 0 auto;
}

.news-grid {
    width: 100%;
    display: grid;
    grid-gap: 1.5rem;
    list-style: none;
    grid-template-columns: 1fr 1fr;
    grid-auto-rows: minmax(16rem, max-content);
    position: relative;
    padding: 0;
    margin: 0 auto 2em auto;
}

.news-grid .news-item {
    min-height: 25vh;
    position: relative;
    overflow: hidden;
    background: #EDEDED;
    background: linear-gradient(33deg,rgba(237, 237, 237, 1) 0%, rgba(250, 250, 250, 1) 100%);
    border-radius: 1em;
}


.news-item {
    min-width: 80vw;
    /*grid-row: span 3;*/
    grid-column: span 3;
}

.news-item:not(.details) button,
.news-item:first-child button {
    display: none;
}

.news-item:first-child p:last-of-type {
    /*margin: 0;*/
}

.news-item .badge,
.text-only .badge{
    min-width: 15%;
    height: auto;
    position: absolute;
    top: 24px;
    left: auto;
    background: var(--badge-bg) no-repeat 100% 100%/128px 42px;
    font-size: clamp(0.75rem,2vw,1rem);
    border: 0.5px solid var(--color-one);
    border-radius: 1em;
    opacity: 1;
    padding: 0.25em 0.5em;
    z-index: 1;
}

.news-item .badge.left,
.text-only .badge.left{
    left: 24px;
}

.news-item .badge.right,
.text-only .badge.right{
    right: 24px;
}

.news-item .article-hero{
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    overflow: hidden;
    border-radius: 1em 0 0 1em;
    z-index: 0;
}

.news-item .article-hero img{
    min-height: 25vh;
    mask-image: url(../imgs/content/journal-article-hero-mask.svg);
    mask-position: 0 0;
    mask-repeat: no-repeat;
    mask-origin: fill-box;
}

.news-item .icon-link{
    border: 0;
}

.news-item .news-title{
    font-size: clamp(1.25rem,6vw,2rem);
    letter-spacing: -1px;
    margin-bottom: 0.5em;
}

.news-item .description{
    width: 100%;
    height: 100%;
    display: inline-block;
    position: relative;
    flex-direction: column;
    justify-content: space-between;
    padding: clamp(1rem, 2.5vmin, 2.25rem);
}

.news-item .description .article-link{
    width: 100%;
    display: inline-block;
    position: relative;
    padding-left: 1em;
    margin-top: 3.25em;
}

.news-item .description.has-icon{
    background: var(--tile-icon) no-repeat 97% 35% / 2em auto;
    padding-top: 3em;
    padding-bottom: 2.5em;
}

.news-item .description .article-link .article-title{
    display: block;
    max-width: 92%;
    font-size: clamp(1.2rem,5vw,1.75rem);
    letter-spacing: -0.75px;
    margin: 0.5em 0 0.35em 0;
}

.news-item .description .article-link .article-teaser{
    display: block;
    font-size: clamp(1rem,5vw,1.15rem);
    margin: 1em 0 0.35em 0;
}

.details-view {
    color: white;
    opacity: 0;
    transform: translateY(100%);
}

.news-pagination {
    display: grid;
    width: 100%;
    height: 52px;
    position: relative;
    background-color: rgba(255,255,255,0.75);
    overflow: hidden;
    border-radius: 2em;
    padding: 1em;
    margin: 1em auto;
}

.news-pagination .page-counter{
    display: block;
    width: 25vw;
    margin: 0 auto;
}

.news-pagination a.icon{
    display: block;
    width: 45px;
    height: 45px;
    top: calc(50% - 26px);
    position: absolute;
    background: rgba(0,0,0,0.15) var(--icon-bg) no-repeat 45% 50% / 62% auto;
    border: 0.75px solid var(--color-one);
    border-radius: 100%;
    margin: 0.25em;
}

.news-pagination a.icon.next{
    right: 0;
}
.news-pagination a.icon.prev{
    left: 0;
}

/* === @media queries === */

@media only screen and (min-width: 992px){
    .news-grid {
        grid-template-columns: 1fr 1fr 1fr;
    }

    .news-item .article-hero{
        width: -webkit-fill-available;
        height: 100%;
        top: 0;
        left: 0;
        mask-size: 95% 100%;
        mask-position: 0 0;
    }

    .news-item {
        min-width: 30vw;
        /*grid-row: span 3;*/
        grid-column: span 1;
    }

    .news-item .description .article-link{
        padding-left: 1%;
        margin-top: 2em;
    }
}


@media only screen and (min-width: 1550px) {
    .news-grid {
        grid-template-columns: 1fr 1fr 1fr;
    }
    
    .news-item {
        min-width: 25vw;
        /*grid-row: span 3;*/
        grid-column: span 1;
    }

    .news-item .description{
        width: 100%;
        height: 100%;
        display: inline-block;
        position: relative;
        flex-direction: column;
        justify-content: space-between;
        padding: clamp(1rem, 2.5vmin, 2.25rem);
    }

    .news-item .description .article-link{
        padding-left: 27%;
        margin-top: 2em;
    }

    .news-pagination {
        width: 65%;
    }
}

/* === @dark mode === */

@media (prefers-color-scheme: dark) {

}